### Hierarchy

- Events
  - LabelLayer

## Index

### Constructors

- constructor

### Properties

- _layers
- _map
- _source
- id
- zoom
- _cnt

### Methods

- addTo
- off
- on
- removeFrom

## Constructors

### constructor

- new LabelLayer(options?: LabelLayerOptions): LabelLayer

- - Defined in LabelLayer.ts:17

  #### Parameters

  - ##### Optional options: LabelLayerOptions

  #### Returns LabelLayer

## Properties

### _layers

_layers: string[]

- Defined in LabelLayer.ts:14

### _map

_map: any

- Defined in LabelLayer.ts:16

### _source

_source: Source

- Defined in LabelLayer.ts:15

### id

id: string

- Defined in LabelLayer.ts:13

### zoom

zoom: number

- Defined in LabelLayer.ts:17

### Static Private _cnt

_cnt: number

- Defined in LabelLayer.ts:12

## Methods

### addTo

- addTo(map: Map): LabelLayer

- - Defined in LabelLayer.ts:34

  #### Parameters

  - ##### map: Map

  #### Returns LabelLayer

### off

- off(event?: string, listener?: any): LabelLayer

- Overwrites Events.off

  - Defined in LabelLayer.ts:59

  #### Parameters

  - ##### Optional event: string

  - ##### Optional listener: any

  #### Returns LabelLayer

### on

- on(event: string, listener: any): LabelLayer

- Overwrites Events.on

  - Defined in LabelLayer.ts:48

  #### Parameters

  - ##### event: string

  - ##### listener: any

  #### Returns LabelLayer

### removeFrom

- removeFrom(map: Map): LabelLayer

- - Defined in LabelLayer.ts:41

  #### Parameters

  - ##### map: Map

  #### Returns LabelLayer

Generated using TypeDoc